/* vim:fdm=marker ts=4 et ai
 * {{{
 *
 * (c) by Alexander Neumann <alexander@bumpern.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * For more information on the GPL, please go to:
 * http://www.gnu.org/copyleft/gpl.html
 }}} */

#include "eeprom.h"

#ifdef DEBUG
#include "uart.h"
#endif

#define MACA    {0xAB,0xCD,0xEF,0x12,0x34,0x56}
#define IPA     {10,1,1,10}
#define NETM    {255,255,255,0}
#define GW      {10,1,1,1}
#define CRC     0x8A

#define SNTP    {10,1,1,20}
#define SLOG    {10,1,1,20}
#define EXTCRC  0x4D

#define EEPROM __attribute__((section(".eeprom")))


struct eeprom_config_base_t EEPROM eep_base_config = {MACA, IPA, NETM, GW, CRC};
struct eeprom_config_ext_t EEPROM eep_ext_config = {SNTP, SLOG, EXTCRC};


